## qt6-5compat 6.2.4

=== CMakeLists.txt ===
# Generated from qt5compat.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(Qt5Compat # special case
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt 5 Compatibility Libraries" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

# special case begin
# Make sure we only use latest private CMake API, aka no compatibility wrappers.
set(QT_NO_INTERNAL_COMPATIBILITY_FUNCTIONS TRUE)

# Make sure we use the fixed BASE argument of qt_add_resource.
set(QT_USE_FIXED_QT_ADD_RESOURCE_BASE TRUE)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Network Xml Gui Quick)
# special case end

qt_build_repo()

=== examples/CMakeLists.txt ===
# Generated from examples.pro.

qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(core5)

qt_examples_build_end()

=== tests/benchmarks/CMakeLists.txt ===
# Generated from benchmarks.pro.

add_subdirectory(core5)

=== src/imports/graphicaleffects5/CMakeLists.txt ===
#####################################################################
## qtgraphicaleffectsplugin Plugin:
#####################################################################

set(qml_files
    "BrightnessContrast.qml"
    "ColorOverlay.qml"
    "Colorize.qml"
    "ConicalGradient.qml"
    "Desaturate.qml"
    "Displace.qml"
    "DropShadow.qml"
    "FastBlur.qml"
    "GammaAdjust.qml"
    "Glow.qml"
    "HueSaturation.qml"
    "LevelAdjust.qml"
    "LinearGradient.qml"
    "OpacityMask.qml"
    "RadialGradient.qml"
    "RectangularGlow.qml"
    "ThresholdMask.qml"
)

qt_internal_add_qml_module(qtgraphicaleffectsplugin
    URI "Qt5Compat.GraphicalEffects"
    VERSION "${PROJECT_VERSION}"
    DESIGNER_SUPPORTED
    CLASS_NAME QtGraphicalEffectsPlugin
    PLUGIN_TARGET qtgraphicaleffectsplugin
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_QMLTYPES
    PAST_MAJOR_VERSIONS 1
    INSTALL_SOURCE_QMLTYPES "plugins.qmltypes"
    DEPENDENCIES
        Qt5Compat.GraphicalEffects.private
        QtQuick.Window
    SOURCES
        plugin.cpp
    QML_FILES
        ${qml_files}
    LIBRARIES
        Qt::Qml
        Qt::Quick
)

# Resources:
set(qtgraphicaleffectsshaders_resource_files
    "shaders_ng/brightnesscontrast.frag.qsb"
    "shaders_ng/colorize.frag.qsb"
    "shaders_ng/coloroverlay.frag.qsb"
    "shaders_ng/conicalgradient_mask.frag.qsb"
    "shaders_ng/conicalgradient_nomask.frag.qsb"
    "shaders_ng/desaturate.frag.qsb"
    "shaders_ng/displace.frag.qsb"
    "shaders_ng/fastblur.frag.qsb"
    "shaders_ng/fastblur_internal.frag.qsb"
    "shaders_ng/fastblur_internal.vert.qsb"
    "shaders_ng/fastglow.frag.qsb"
    "shaders_ng/gammaadjust.frag.qsb"
    "shaders_ng/huesaturation.frag.qsb"
    "shaders_ng/leveladjust.frag.qsb"
    "shaders_ng/lineargradient.vert.qsb"
    "shaders_ng/lineargradient_mask.frag.qsb"
    "shaders_ng/lineargradient_nomask.frag.qsb"
    "shaders_ng/opacitymask.frag.qsb"
    "shaders_ng/opacitymask_invert.frag.qsb"
    "shaders_ng/radialgradient.vert.qsb"
    "shaders_ng/radialgradient_mask.frag.qsb"
    "shaders_ng/radialgradient_nomask.frag.qsb"
    "shaders_ng/rectangularglow.frag.qsb"
    "shaders_ng/thresholdmask.frag.qsb"
)

qt_internal_add_resource(qtgraphicaleffectsplugin "qtgraphicaleffectsshaders"
    PREFIX
        "/qt-project.org/imports/Qt5Compat/GraphicalEffects"
    FILES
        ${qtgraphicaleffectsshaders_resource_files}
)
qt_internal_add_docs(qtgraphicaleffectsplugin
    doc/qtgraphicaleffects5compat.qdocconf
)

add_subdirectory(private)

=== tests/manual/graphicaleffects5/CMakeLists.txt ===
# Generated from graphicaleffects.pro.

#####################################################################
## graphicaleffects Binary:
#####################################################################

qt_internal_add_manual_test(graphicaleffects
    GUI
    SOURCES
        main.cpp
    PUBLIC_LIBRARIES
        Qt::Gui
        Qt::Quick
)

# Resources:
set_source_files_properties("../../../src/imports/graphicaleffects5/doc/images/bug.jpg"
    PROPERTIES QT_RESOURCE_ALIAS "images/bug.jpg"
)
set_source_files_properties("../../../src/imports/graphicaleffects5/doc/images/butterfly.png"
    PROPERTIES QT_RESOURCE_ALIAS "images/butterfly.png"
)
set_source_files_properties("../../../src/imports/graphicaleffects5/doc/images/fog.png"
    PROPERTIES QT_RESOURCE_ALIAS "images/fog.png"
)
set_source_files_properties("../../../src/imports/graphicaleffects5/doc/images/glass_normal.png"
    PROPERTIES QT_RESOURCE_ALIAS "images/glass_normal.png"
)
set(qml_resource_files
    "../../../src/imports/graphicaleffects5/doc/images/bug.jpg"
    "../../../src/imports/graphicaleffects5/doc/images/butterfly.png"
    "../../../src/imports/graphicaleffects5/doc/images/fog.png"
    "../../../src/imports/graphicaleffects5/doc/images/glass_normal.png"
    "BrightnessContrastEffect.qml"
    "ColorOverlayEffect.qml"
    "ColorizeEffect.qml"
    "ConicalGradientEffect.qml"
    "DesaturateEffect.qml"
    "DisplaceEffect.qml"
    "DropShadowEffect.qml"
    "FastBlurEffect.qml"
    "GammaAdjustEffect.qml"
    "GlowEffect.qml"
    "HueSaturationEffect.qml"
    "LevelAdjustEffect.qml"
    "LinearGradientEffect.qml"
    "OpacityMaskEffect.qml"
    "RadialGradientEffect.qml"
    "RectangularGlowEffect.qml"
    "ThresholdMaskEffect.qml"
    "main.qml"
)

qt_internal_add_resource(graphicaleffects "qml"
    PREFIX
        "/"
    FILES
        ${qml_resource_files}
)


#### Keys ignored in scope 1:.:.:graphicaleffects.pro:<TRUE>:
# QML_DESIGNER_IMPORT_PATH = <EMPTY>
# QML_IMPORT_PATH = <EMPTY>

## Scopes:
#####################################################################

#### Keys ignored in scope 2:.:.:graphicaleffects.pro:QNX:
# target.path = "/tmp/$${TARGET}/bin"

#### Keys ignored in scope 4:.:.:graphicaleffects.pro:UNIX AND NOT ANDROID:
# target.path = "/opt/$${TARGET}/bin"

#### Keys ignored in scope 5:.:.:graphicaleffects.pro:NOT target.path_ISEMPTY:
# INSTALLS = "target"

=== tests/auto/core5/codecs/CMakeLists.txt ===
# Generated from codecs.pro.

add_subdirectory(qtextcodec)
add_subdirectory(utf8)

=== tests/auto/core5/io/CMakeLists.txt ===
# Generated from io.pro.

add_subdirectory(qdebug)

=== tests/auto/core5/sax/CMakeLists.txt ===
# Generated from sax.pro.

add_subdirectory(qxml)
add_subdirectory(qxmlinputsource)
add_subdirectory(qxmlsimplereader)

=== tests/benchmarks/core5/codecs/CMakeLists.txt ===
# Generated from codecs.pro.

add_subdirectory(qtextcodec)

=== tests/auto/core5/io/qdebug/CMakeLists.txt ===
# Generated from qdebug.pro.

#####################################################################
## tst_qdebug Test:
#####################################################################

# special case begin
qt_internal_add_test(tst_qt5compat_qdebug
#special case end
    SOURCES
        tst_qdebug.cpp
    PUBLIC_LIBRARIES
        Qt::Core5Compat
)

=== tests/auto/core5/sax/qxml/CMakeLists.txt ===
# Generated from qxml.pro.

#####################################################################
## tst_qxml Test:
#####################################################################

# Collect test data
list(APPEND test_data "0x010D.xml")

qt_internal_add_test(tst_qxml
    SOURCES
        tst_qxml.cpp
    PUBLIC_LIBRARIES
        Qt::Core5Compat
    TESTDATA ${test_data}
)

=== tests/auto/core5/sax/qxmlsimplereader/CMakeLists.txt ===
# Generated from qxmlsimplereader.pro.

#####################################################################
## tst_qxmlsimplereader Test:
#####################################################################

# Collect test data
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    encodings/*)
list(APPEND test_data ${test_data_glob})
file(GLOB_RECURSE test_data_glob
    RELATIVE ${CMAKE_CURRENT_SOURCE_DIR}
    xmldocs/*)
list(APPEND test_data ${test_data_glob})

qt_internal_add_test(tst_qxmlsimplereader
    SOURCES
        parser/parser.cpp parser/parser.h
        tst_qxmlsimplereader.cpp
    INCLUDE_DIRECTORIES
        parser
    PUBLIC_LIBRARIES
        Qt::Core5Compat
        Qt::Network
        Qt::Xml
    TESTDATA ${test_data}
)

=== debian/changelog ===
qt6-5compat (6.2.4-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.4).
  * Bump Qt B-Ds to 6.2.4.

 -- Patrick Franz <deltaone@debian.org>  Wed, 30 Mar 2022 21:48:37 +0200

qt6-5compat (6.2.2-5) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Tue, 15 Feb 2022 22:32:17 +0100

qt6-5compat (6.2.2-4) experimental; urgency=medium

  [ Daniel Schürmann ]
  * Add dependent module Qt5Compat.GraphicalEffects.private.

 -- Patrick Franz <deltaone@debian.org>  Mon, 07 Feb 2022 19:30:02 +0100

qt6-5compat (6.2.2-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Mon, 03 Jan 2022 17:26:54 +0100

qt6-5compat (6.2.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Dec 2021 22:49:37 +0100

qt6-5compat (6.2.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.2.2).
  * Bump Qt B-Ds to 6.2.2.
  * Update installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 05 Dec 2021 21:58:23 +0100

qt6-5compat (6.2.1-1) experimental; urgency=medium

  * Initial release (Closes: #999684)

 -- Patrick Franz <deltaone@debian.org>  Sun, 14 Nov 2021 23:39:51 +0100

=== debian/control ===
Source: qt6-5compat
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
Build-Depends: cmake (>= 3.18~),
               debhelper-compat (= 13),
               libgl-dev,
               libicu-dev,
               libqt6opengl6-dev (>= 6.2.4+dfsg~),
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.2.4+dfsg~),
               qml6-module-qttest (>= 6.2.4+dfsg~),
               qt6-base-dev (>= 6.2.4+dfsg~),
               qt6-base-private-dev (>= 6.2.4+dfsg~),
               qt6-declarative-dev (>= 6.2.4+dfsg~),
               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
Standards-Version: 4.6.0
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat.git
Rules-Requires-Root: no

Package: libqt6core5compat6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: Qt 6 Qt5Compat library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Core5Compat library.

Package: qml6-module-qt5compat-graphicaleffects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Qt 6 Qt5Compat QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Core5Compat QML module.

Package: libqt6core5compat6-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6core5compat6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Core5Compat library.

## qt6-5compat 6.3.1

=== debian/changelog ===
qt6-5compat (6.3.1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Mon, 15 Aug 2022 19:22:22 +0200

qt6-5compat (6.3.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.1).
  * Bump Qt B-Ds to 6.3.1.
  * Bump Standards-Version to 4.6.1 (no changes needed).
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sun, 17 Jul 2022 10:43:56 +0200

qt6-5compat (6.3.0-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.3.0).
  * Bump Qt B-Ds to 6.3.0.

 -- Patrick Franz <deltaone@debian.org>  Wed, 15 Jun 2022 01:49:01 +0200

qt6-5compat (6.2.4-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Apr 2022 20:06:15 +0200

=== debian/control ===
--- 
+++ 
@@ -7,19 +7,19 @@
                debhelper-compat (= 13),
                libgl-dev,
                libicu-dev,
-               libqt6opengl6-dev (>= 6.2.4+dfsg~),
+               libqt6opengl6-dev (>= 6.3.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.2.4+dfsg~),
-               qml6-module-qttest (>= 6.2.4+dfsg~),
-               qt6-base-dev (>= 6.2.4+dfsg~),
-               qt6-base-private-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-dev (>= 6.2.4+dfsg~),
-               qt6-declarative-private-dev (>= 6.2.4+dfsg~),
-Standards-Version: 4.6.0
+               qml6-module-qtquick (>= 6.3.1+dfsg~),
+               qml6-module-qttest (>= 6.3.1+dfsg~),
+               qt6-base-dev (>= 6.3.1+dfsg~),
+               qt6-base-private-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-dev (>= 6.3.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat.git

## qt6-5compat 6.4.1

=== debian/changelog ===
qt6-5compat (6.4.1-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Adjust build-dependencies and Breaks/Replaces.

 -- Patrick Franz <deltaone@debian.org>  Thu, 08 Dec 2022 01:20:28 +0100

qt6-5compat (6.4.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Rename libqt6core5compat6-dev to qt6-5compat-dev.

 -- Patrick Franz <deltaone@debian.org>  Sun, 27 Nov 2022 20:19:31 +0100

qt6-5compat (6.4.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.4.1).
  * Bump Qt B-Ds to 6.4.1.

 -- Patrick Franz <deltaone@debian.org>  Thu, 17 Nov 2022 16:36:24 +0100

qt6-5compat (6.4.0-3) experimental; urgency=medium

  [ Patrick Franz ]
  * Enable link time optimization (Closes: #1015616).

 -- Patrick Franz <deltaone@debian.org>  Sun, 13 Nov 2022 11:26:50 +0100

qt6-5compat (6.4.0-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Pass QT_HOST_PATH to cmake in cross-builds, thx to Helmut Grohne
    (Closes: #1022986).

 -- Patrick Franz <deltaone@debian.org>  Mon, 31 Oct 2022 20:10:33 +0100

qt6-5compat (6.4.0-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Bump minimum CMake version in order to get pkg-config's .pc files.

  [ Patrick Franz ]
  * Increase CMake verbosity level.
  * New upstream release (6.4.0).
  * Bump Qt B-Ds to 6.4.0.
  * Update list of installed files.
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sun, 16 Oct 2022 00:07:17 +0200

=== debian/control ===
--- 
+++ 
@@ -3,22 +3,23 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>
-Build-Depends: cmake (>= 3.18~),
+Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
                libgl-dev,
                libicu-dev,
-               libqt6opengl6-dev (>= 6.3.1+dfsg~),
+               libqt6opengl6-dev (>= 6.4.1+dfsg~),
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
                pkg-config,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.3.1+dfsg~),
-               qml6-module-qttest (>= 6.3.1+dfsg~),
-               qt6-base-dev (>= 6.3.1+dfsg~),
-               qt6-base-private-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-dev (>= 6.3.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.3.1+dfsg~),
+               qml6-module-qtquick (>= 6.4.1+dfsg~),
+               qml6-module-qttest (>= 6.4.1+dfsg~),
+               qt6-base-dev (>= 6.4.1+dfsg~),
+               qt6-base-private-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-dev (>= 6.4.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.4.1+dfsg~),
+               qt6-shadertools-dev (>= 6.4.1~),
 Standards-Version: 4.6.1
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
@@ -47,13 +48,15 @@
  .
  This package contains the Qt Core5Compat QML module.
 
-Package: libqt6core5compat6-dev
+Package: qt6-5compat-dev
 Architecture: any
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6core5compat6 (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
+Breaks: libqt6core5compat6-dev (<< 6.4.1-2~)
+Replaces: libqt6core5compat6-dev (<< 6.4.1-2~)
 Description: Qt 6 Qt5Compat - development files
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.

## qt6-5compat 6.4.2

=== CMakeLists.txt ===
# Generated from qt5compat.pro.

cmake_minimum_required(VERSION 3.16)

include(.cmake.conf)
project(Qt5Compat # special case
    VERSION "${QT_REPO_MODULE_VERSION}"
    DESCRIPTION "Qt 5 Compatibility Libraries" # special case
    HOMEPAGE_URL "https://qt.io/"
    LANGUAGES CXX C
)

find_package(Qt6 ${PROJECT_VERSION} CONFIG REQUIRED COMPONENTS BuildInternals Core)
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS Network Xml Gui Quick)

# Look for the target ShaderTools package to have access to the ShaderTools Qt module library.
# This is optional. When not present, runtime shader processing will not be available, and
# only a certain set of effects will be available
find_package(Qt6 ${PROJECT_VERSION} QUIET CONFIG OPTIONAL_COMPONENTS ShaderTools)

qt_build_repo()

=== examples/CMakeLists.txt ===
qt_examples_build_begin(EXTERNAL_BUILD)

add_subdirectory(core5)

qt_examples_build_end()

=== examples/core5/widgets/CMakeLists.txt ===
if(NOT TARGET Qt::Widgets)
    return()
endif()
add_subdirectory(tools)

=== src/imports/graphicaleffects5/CMakeLists.txt ===
--- 
+++ 
@@ -3,23 +3,31 @@
 #####################################################################
 
 set(qml_files
+    "Blend.qml"
     "BrightnessContrast.qml"
     "ColorOverlay.qml"
     "Colorize.qml"
     "ConicalGradient.qml"
     "Desaturate.qml"
+    "DirectionalBlur.qml"
     "Displace.qml"
     "DropShadow.qml"
     "FastBlur.qml"
     "GammaAdjust.qml"
+    "GaussianBlur.qml"
     "Glow.qml"
     "HueSaturation.qml"
+    "InnerShadow.qml"
     "LevelAdjust.qml"
     "LinearGradient.qml"
+    "MaskedBlur.qml"
     "OpacityMask.qml"
+    "RadialBlur.qml"
     "RadialGradient.qml"
     "RectangularGlow.qml"
+    "RecursiveBlur.qml"
     "ThresholdMask.qml"
+    "ZoomBlur.qml"
 )
 
 qt_internal_add_qml_module(qtgraphicaleffectsplugin
@@ -57,8 +65,12 @@
     "shaders_ng/fastblur.frag.qsb"
     "shaders_ng/fastblur_internal.frag.qsb"
     "shaders_ng/fastblur_internal.vert.qsb"
+    "shaders_ng/fastinnershadow.frag.qsb"
+    "shaders_ng/fastinnershadow_level0.frag.qsb"
     "shaders_ng/fastglow.frag.qsb"
     "shaders_ng/gammaadjust.frag.qsb"
+    "shaders_ng/gaussianinnershadow.frag.qsb"
+    "shaders_ng/gaussianinnershadow_shadow.frag.qsb"
     "shaders_ng/huesaturation.frag.qsb"
     "shaders_ng/leveladjust.frag.qsb"
     "shaders_ng/lineargradient.vert.qsb"
@@ -69,6 +81,8 @@
     "shaders_ng/radialgradient.vert.qsb"
     "shaders_ng/radialgradient_mask.frag.qsb"
     "shaders_ng/radialgradient_nomask.frag.qsb"
+    "shaders_ng/recursiveblur.vert.qsb"
+    "shaders_ng/recursiveblur.frag.qsb"
     "shaders_ng/rectangularglow.frag.qsb"
     "shaders_ng/thresholdmask.frag.qsb"
 )

=== src/imports/graphicaleffects5/private/CMakeLists.txt ===
#####################################################################
## qtgraphicaleffectsprivate Plugin:
#####################################################################

set(qml_files
    "DropShadowBase.qml"
    "FastGlow.qml"
    "FastInnerShadow.qml"
    "GaussianDirectionalBlur.qml"
    "GaussianGlow.qml"
    "GaussianInnerShadow.qml"
    "GaussianMaskedBlur.qml"
)

qt_internal_add_qml_module(qtgraphicaleffectsprivate
    URI "Qt5Compat.GraphicalEffects.private"
    VERSION "${PROJECT_VERSION}"
    CLASS_NAME QtGraphicalEffectsPrivatePlugin
    PLUGIN_TARGET qtgraphicaleffectsprivate
    NO_GENERATE_PLUGIN_SOURCE
    NO_PLUGIN_OPTIONAL
    NO_GENERATE_QMLTYPES
    PAST_MAJOR_VERSIONS 1
    SOURCES
        plugin.cpp
        qgfxsourceproxy.cpp qgfxsourceproxy_p.h
        qgfxshaderbuilder.cpp qgfxshaderbuilder_p.h
    QML_FILES
        ${qml_files}
    LIBRARIES
        Qt::CorePrivate
        Qt::GuiPrivate
        Qt::QmlPrivate
        Qt::QuickPrivate
        Qt::ShaderTools
        Qt::ShaderToolsPrivate
)

=== tests/auto/core5/serialization/CMakeLists.txt ===
# Generated from serialization.pro.

add_subdirectory(json)
add_subdirectory(qtextstream)

=== tests/auto/core5/serialization/json/CMakeLists.txt ===
# Generated from json.pro.

#####################################################################
## tst_json Test:
#####################################################################

# special case begin
qt_internal_add_test(tst_qt5compat_json
# special case end
    SOURCES
        tst_qtjson.cpp
    PUBLIC_LIBRARIES
        Qt::Core5Compat
        Qt::CorePrivate
)

## Scopes:
#####################################################################

#### Keys ignored in scope 2:.:.:json.pro:NOT ANDROID:
# TESTDATA = "bom.json" "test.json" "test.bjson" "test3.json" "test2.json"

if(ANDROID)
    # Resources:
    set(json_resource_files
        "bom.json"
        "test.bjson"
        "test.json"
        "test2.json"
        "test3.json"
    )

# special case begin
    qt_internal_add_resource(tst_qt5compat_json "json"
# special case end
        PREFIX
            "/"
        FILES
            ${json_resource_files}
    )
endif()

# special case begin
qt_internal_extend_target(tst_qt5compat_json CONDITION NOT QT_FEATURE_doubleconversion AND NOT QT_FEATURE_system_doubleconversion
# special case end
    DEFINES
        QT_NO_DOUBLECONVERSION
)

=== debian/changelog ===
qt6-5compat (6.4.2-4build3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 15:46:31 +1100

qt6-5compat (6.4.2-4build2) noble; urgency=medium

  * No-change rebuild against libqt6core6t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 12 Mar 2024 01:58:18 +0000

qt6-5compat (6.4.2-4build1) noble; urgency=medium

  * No-change rebuild for ICU soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 20:54:17 +0100

qt6-5compat (6.4.2-4) unstable; urgency=medium

  [ Patrick Franz ]
  * Make qml6-module-qt5compat-graphicaleffects recommend qml6-module-
    qtquick-window as it is used in some effects (Closes: #1052612).

 -- Patrick Franz <deltaone@debian.org>  Tue, 26 Sep 2023 19:33:59 +0200

qt6-5compat (6.4.2-3) unstable; urgency=medium

  * Team upload to unstable.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Tue, 01 Aug 2023 14:25:11 -0300

qt6-5compat (6.4.2-2) experimental; urgency=medium

  * Team upload.

  [ Patrick Franz ]
  * Remove build-dependency on libqt6opengl6-dev as it has been merged
    into qt6-base-dev.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add documentation packages.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 29 Jul 2023 00:24:29 -0300

qt6-5compat (6.4.2-1) unstable; urgency=medium

  [ Patrick Franz ]
  * Switch to the official 6.4.2 tarball, the tarball is the same.

 -- Patrick Franz <deltaone@debian.org>  Tue, 24 Jan 2023 12:23:53 +0100

qt6-5compat (6.4.2~rc1-3) unstable; urgency=medium

  [ Patrick Franz ]
  * Add a Provides for libqt6core5compat6-dev.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Dec 2022 14:16:44 +0100

qt6-5compat (6.4.2~rc1-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Fri, 30 Dec 2022 16:58:02 +0100

qt6-5compat (6.4.2~rc1-1) experimental; urgency=medium

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * New upstream release.
    - Bump Qt build dependencies.
  * Bump standards version to 4.6.2, no changes required.

 -- Patrick Franz <deltaone@debian.org>  Tue, 27 Dec 2022 22:25:59 +0100

=== debian/control ===
Source: qt6-5compat
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
Build-Depends: cmake (>= 3.24~),
               debhelper-compat (= 13),
               libgl-dev,
               libicu-dev,
               libssl-dev,
               libvulkan-dev [linux-any],
               ninja-build,
               pkg-config,
               pkg-kde-tools,
               qml6-module-qtquick (>= 6.4.2+dfsg~),
               qml6-module-qttest (>= 6.4.2+dfsg~),
               qt6-base-dev (>= 6.4.2+dfsg~),
               qt6-base-private-dev (>= 6.4.2+dfsg~),
               qt6-declarative-dev (>= 6.4.2+dfsg~),
               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
               qt6-shadertools-dev (>= 6.4.2~),
Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
Standards-Version: 4.6.2
Homepage: https://www.qt.io/developers/
Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat.git
Rules-Requires-Root: no

Package: libqt6core5compat6
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Pre-Depends: ${misc:Pre-Depends},
Description: Qt 6 Qt5Compat library
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt 6 Core5Compat library.

Package: qml6-module-qt5compat-graphicaleffects
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends},
Depends: ${misc:Depends}, ${shlibs:Depends},
Recommends: qml6-module-qtquick-window,
Description: Qt 6 Qt5Compat QML module
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the Qt Core5Compat QML module.

Package: qt6-5compat-dev
Provides: libqt6core5compat6-dev (= ${binary:Version}),
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libqt6core5compat6 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Breaks: libqt6core5compat6-dev (<< 6.4.1-2~),
Replaces: libqt6core5compat6-dev (<< 6.4.1-2~),
Description: Qt 6 Qt5Compat - development files
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the development files needed to build Qt 6 applications
 using the Core5Compat library.

Package: qt6-5compat-doc
Architecture: all
Section: doc
Depends: qt6-base-doc, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 5 compat documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the documentation for the Qt 6 5 compat.

Package: qt6-5compat-doc-html
Architecture: all
Section: doc
Depends: qt6-base-doc-html, ${misc:Depends},
Multi-Arch: foreign
Description: Qt 6 5 compat HTML documentation
 Qt is a cross-platform C++ application framework. Qt's primary feature
 is its rich set of widgets that provide standard GUI functionality.
 .
 This package contains the HTML documentation for the Qt 6 5 compat.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

export DEB_BUILD_MAINT_OPTIONS = hardening=+all optimize=+lto

# QT_HOST_PATH isn't passed in cross-builds
ifneq ($(DEB_BUILD_ARCH),$(DEB_HOST_ARCH))
extra_cmake_args += \
	-DQT_HOST_PATH=/usr \
	-DQT_HOST_PATH_CMAKE_DIR=/usr/lib/${DEB_HOST_MULTIARCH}/cmake
endif

%:
	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja

override_dh_auto_configure:
	dh_auto_configure -- \
		--log-level=STATUS \
		-DCMAKE_LIBRARY_PATH=$(DEB_HOST_MULTIARCH) \
		$(extra_cmake_args)

override_dh_auto_build-indep:
	dh_auto_build -- docs

override_dh_auto_install-indep:
	DESTDIR=$(CURDIR)/debian/tmp dh_auto_build -- install_docs
	# Remove build path from index files.
	find $(CURDIR)/debian/tmp/usr/share/qt6/doc -type f -name *.index -exec \
               sed -i 's@$(CURDIR)/@@g' {} \;

execute_after_dh_auto_install-arch:
	# Reproducible builds: remove build paths from .prl files
	sed -i -e '/^QMAKE_PRL_BUILD_DIR/d' debian/tmp/usr/lib/$(DEB_HOST_MULTIARCH)/libQt6*.prl

## qt6-5compat 6.6.1

=== debian/changelog ===
qt6-5compat (6.6.1-2+rb1) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Dec 2023 10:08:06 +0100

qt6-5compat (6.6.1-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.0).
  * Bump Qt B-Ds to 6.6.0.
  * Update list of installed files.
  * Update symbols from buildlogs.
  * New upstream release (6.6.1).
  * Bump Qt B-Ds to 6.6.1.
  * New binary package qt6-5compat-examples.
  * Update d/copyright.

 -- Patrick Franz <deltaone@debian.org>  Tue, 19 Dec 2023 23:12:59 +0100

## qt6-5compat 6.6.2

=== debian/changelog ===
qt6-5compat (6.6.2-2) unstable; urgency=medium

  [ Patrick Franz ]
  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Thu, 06 Jun 2024 18:16:16 +0200

qt6-5compat (6.6.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.6.2).
  * Bump Qt B-Ds to 6.6.2.
  * Build-depend on pkgconf instead of pkg-config as the latter has been
    superseded by the former.

 -- Patrick Franz <deltaone@debian.org>  Fri, 16 Feb 2024 19:54:48 +0100

qt6-5compat (6.6.1-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Fri, 22 Dec 2023 10:08:06 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: qt6-5compat
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -11,17 +10,15 @@
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
+               pkgconf,
                pkg-kde-tools,
-               qml6-module-qtquick (>= 6.4.2+dfsg~),
-               qml6-module-qttest (>= 6.4.2+dfsg~),
-               qt6-base-dev (>= 6.4.2+dfsg~),
-               qt6-base-private-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-dev (>= 6.4.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.4.2+dfsg~),
-               qt6-shadertools-dev (>= 6.4.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.4~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.4~) <!nodoc>,
+               qt6-base-dev (>= 6.6.2+dfsg~),
+               qt6-base-private-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-dev (>= 6.6.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
+               qt6-shadertools-dev (>= 6.6.2~),
+Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
 Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
@@ -73,19 +70,30 @@
 Section: doc
 Depends: qt6-base-doc, ${misc:Depends},
 Multi-Arch: foreign
-Description: Qt 6 5 compat documentation
+Description: Qt 6 Qt5Compat documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the documentation for the Qt 6 5 compat.
+ This package contains the documentation for the Qt 6 Qt5Compat.
 
 Package: qt6-5compat-doc-html
 Architecture: all
 Section: doc
 Depends: qt6-base-doc-html, ${misc:Depends},
 Multi-Arch: foreign
-Description: Qt 6 5 compat HTML documentation
+Description: Qt 6 Qt5Compat HTML documentation
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
  .
- This package contains the HTML documentation for the Qt 6 5 compat.
+ This package contains the HTML documentation for the Qt 6 Qt5Compat.
+
+Package: qt6-5compat-examples
+Architecture: any
+Multi-Arch: same
+Section: misc
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Description: Qt 6 Qt5Compat examples
+ Qt is a cross-platform C++ application framework. Qt's primary feature
+ is its rich set of widgets that provide standard GUI functionality.
+ .
+ This package contains the examples for the Qt 6 Qt5Compat submodule.

## qt6-5compat 6.7.2

=== debian/changelog ===
qt6-5compat (6.7.2-3) unstable; urgency=medium

  [ Sandro Knauß ]
  * Use dh_qmldeps to detect QML dependencies.
  * Add qml6-module packages to -dev package for QML dependency detection.
  * Use dh-sequence-pkgkde-symbolshelper instead of --with.
  * Remove qml6-module-qtquick-window from recommends, as it is listed
    in depends.

  [ Patrick Franz ]
  * Install cmake-files for QmlPlugins.

 -- Patrick Franz <deltaone@debian.org>  Sun, 10 Nov 2024 18:56:04 +0100

qt6-5compat (6.7.2-2) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 05 Oct 2024 01:32:56 +0200

qt6-5compat (6.7.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.7.2).
  * Bump Qt B-Ds to 6.7.2.
  * Bump Standards-Version to 4.7.0 (no changes needed).
  * Update symbols from buildlogs.

 -- Patrick Franz <deltaone@debian.org>  Sat, 31 Aug 2024 21:30:58 +0200

=== debian/control ===
--- 
+++ 
@@ -5,21 +5,23 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libicu-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-kde-tools,
                pkgconf,
-               pkg-kde-tools,
-               qt6-base-dev (>= 6.6.2+dfsg~),
-               qt6-base-private-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-dev (>= 6.6.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.6.2+dfsg~),
-               qt6-shadertools-dev (>= 6.6.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.6~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.6~) <!nodoc>,
-Standards-Version: 4.6.2
+               qt6-base-dev (>= 6.7.2+dfsg~),
+               qt6-base-private-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-dev (>= 6.7.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
+               qt6-shadertools-dev (>= 6.7.2~),
+Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat.git
@@ -40,8 +42,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: qml6-module-qtquick-window,
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Qt5Compat QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -54,6 +55,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6core5compat6 (= ${binary:Version}),
+         qml6-module-qt5compat-graphicaleffects (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6core5compat6-dev (<< 6.4.1-2~),

## qt6-5compat 6.8.0

=== debian/changelog ===
qt6-5compat (6.8.0-0deepin) unstable; urgency=medium

  * New upstream release (6.8.0).

 -- lichenggang <lichenggang@deepin.org>  Fri, 25 Oct 2024 10:29:56 +0800

=== debian/control ===
--- 
+++ 
@@ -5,23 +5,21 @@
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
-               dh-sequence-qmldeps,
-               dh-sequence-pkgkde-symbolshelper,
                libgl-dev,
                libicu-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
+               pkg-config,
                pkg-kde-tools,
-               pkgconf,
-               qt6-base-dev (>= 6.7.2+dfsg~),
-               qt6-base-private-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-dev (>= 6.7.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.7.2+dfsg~),
-               qt6-shadertools-dev (>= 6.7.2~),
-Build-Depends-Indep: qt6-base-dev (>= 6.7~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.7~) <!nodoc>,
-Standards-Version: 4.7.0
+               qt6-base-dev (>= 6.8.0+dfsg~),
+               qt6-base-private-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-dev (>= 6.8.0+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
+               qt6-shadertools-dev (>= 6.8.0~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8.0~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8.0~) <!nodoc>,
+Standards-Version: 4.6.2
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat.git
@@ -42,7 +40,8 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
+Depends: ${misc:Depends}, ${shlibs:Depends},
+Recommends: qml6-module-qtquick-window,
 Description: Qt 6 Qt5Compat QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -55,7 +54,6 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6core5compat6 (= ${binary:Version}),
-         qml6-module-qt5compat-graphicaleffects (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6core5compat6-dev (<< 6.4.1-2~),

## qt6-5compat 6.8.1

=== debian/changelog ===
qt6-5compat (6.8.1-0ubuntu2) plucky; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 07 Jan 2025 14:13:47 +0100

qt6-5compat (6.8.1-0ubuntu1) plucky; urgency=medium

  * New upstream release.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 05 Dec 2024 02:52:15 -0600

=== debian/control ===
--- 
+++ 
@@ -1,25 +1,28 @@
 Source: qt6-5compat
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-pkgkde-symbolshelper,
+               dh-sequence-qmldeps,
                libgl-dev,
                libicu-dev,
                libssl-dev,
                libvulkan-dev [linux-any],
                ninja-build,
-               pkg-config,
                pkg-kde-tools,
-               qt6-base-dev (>= 6.8.0+dfsg~),
-               qt6-base-private-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-dev (>= 6.8.0+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.0+dfsg~),
-               qt6-shadertools-dev (>= 6.8.0~),
-Build-Depends-Indep: qt6-base-dev (>= 6.8.0~) <!nodoc>,
-                     qt6-documentation-tools (>= 6.8.0~) <!nodoc>,
-Standards-Version: 4.6.2
+               pkgconf,
+               qt6-base-dev (>= 6.8.1+dfsg~),
+               qt6-base-private-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-dev (>= 6.8.1+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
+               qt6-shadertools-dev (>= 6.8.1~),
+Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
+                     qt6-documentation-tools (>= 6.8~) <!nodoc>,
+Standards-Version: 4.7.0
 Homepage: https://www.qt.io/developers/
 Vcs-Browser: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat
 Vcs-Git: https://salsa.debian.org/qt-kde-team/qt6/qt6-5compat.git
@@ -40,8 +43,7 @@
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends},
-Depends: ${misc:Depends}, ${shlibs:Depends},
-Recommends: qml6-module-qtquick-window,
+Depends: ${misc:Depends}, ${qml6:Depends}, ${shlibs:Depends},
 Description: Qt 6 Qt5Compat QML module
  Qt is a cross-platform C++ application framework. Qt's primary feature
  is its rich set of widgets that provide standard GUI functionality.
@@ -54,6 +56,7 @@
 Multi-Arch: same
 Section: libdevel
 Depends: libqt6core5compat6 (= ${binary:Version}),
+         qml6-module-qt5compat-graphicaleffects (= ${binary:Version}),
          qt6-base-dev,
          ${misc:Depends},
 Breaks: libqt6core5compat6-dev (<< 6.4.1-2~),

## qt6-5compat 6.8.2

=== tests/auto/core5/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from core5.pro.

add_subdirectory(codecs)
add_subdirectory(io)
add_subdirectory(sax)
add_subdirectory(serialization)
add_subdirectory(text)
add_subdirectory(tools)

=== tests/auto/core5/codecs/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from codecs.pro.

add_subdirectory(qtextcodec)
add_subdirectory(utf8)

=== tests/auto/core5/text/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from text.pro.

add_subdirectory(qregexp)
add_subdirectory(qstringref)
add_subdirectory(qstringbuilder)

=== debian/changelog ===
qt6-5compat (6.8.2-3) unstable; urgency=medium

  * Upload to unstable.

 -- Patrick Franz <deltaone@debian.org>  Sat, 01 Mar 2025 12:25:11 +0100

qt6-5compat (6.8.2-2) experimental; urgency=medium

  [ Patrick Franz ]
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Tue, 11 Feb 2025 18:46:49 +0100

qt6-5compat (6.8.2-1) experimental; urgency=medium

  [ Patrick Franz ]
  * New upstream release (6.8.2).
  * Bump Qt B-Ds to 6.8.2.
  * Update list of installed files.

 -- Patrick Franz <deltaone@debian.org>  Sat, 08 Feb 2025 17:26:28 +0100

=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: qt6-5compat
 Section: libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
+               dh-sequence-qmldeps,
                dh-sequence-pkgkde-symbolshelper,
-               dh-sequence-qmldeps,
                libgl-dev,
                libicu-dev,
                libssl-dev,
@@ -15,11 +14,11 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.1+dfsg~),
-               qt6-base-private-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-dev (>= 6.8.1+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.1+dfsg~),
-               qt6-shadertools-dev (>= 6.8.1~),
+               qt6-base-dev (>= 6.8.2+dfsg~),
+               qt6-base-private-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-dev (>= 6.8.2+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
+               qt6-shadertools-dev (>= 6.8.2~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

## qt6-5compat 6.8.3

=== tests/benchmarks/CMakeLists.txt ===
# Copyright (C) 2022 The Qt Company Ltd.
# SPDX-License-Identifier: BSD-3-Clause

# Generated from benchmarks.pro.

add_subdirectory(core5)

=== tests/auto/core5/sax/CMakeLists.txt ===
--- 
+++ 
@@ -1,3 +1,6 @@
+# Copyright (C) 2022 The Qt Company Ltd.
+# SPDX-License-Identifier: BSD-3-Clause
+
 # Generated from sax.pro.
 
 add_subdirectory(qxml)

=== debian/changelog ===
qt6-5compat (6.8.3-0ubuntu1) plucky; urgency=medium

  * New upstream release (LP: #2103945).

 -- Simon Quigley <tsimonq2@ubuntu.com>  Thu, 27 Mar 2025 22:23:54 -0500

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: qt6-5compat
 Section: libs
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Patrick Franz <deltaone@debian.org>, Lu YaNing <dluyaning@gmail.com>,
 Build-Depends: cmake (>= 3.24~),
                debhelper-compat (= 13),
@@ -14,11 +15,11 @@
                ninja-build,
                pkg-kde-tools,
                pkgconf,
-               qt6-base-dev (>= 6.8.2+dfsg~),
-               qt6-base-private-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-dev (>= 6.8.2+dfsg~),
-               qt6-declarative-private-dev (>= 6.8.2+dfsg~),
-               qt6-shadertools-dev (>= 6.8.2~),
+               qt6-base-dev (>= 6.8.3+dfsg~),
+               qt6-base-private-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-dev (>= 6.8.3+dfsg~),
+               qt6-declarative-private-dev (>= 6.8.3+dfsg~),
+               qt6-shadertools-dev (>= 6.8.3~),
 Build-Depends-Indep: qt6-base-dev (>= 6.8~) <!nodoc>,
                      qt6-documentation-tools (>= 6.8~) <!nodoc>,
 Standards-Version: 4.7.0

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,7 @@
 endif
 
 %:
-	dh $@ --with pkgkde_symbolshelper --buildsystem=cmake+ninja
+	dh $@ --buildsystem=cmake+ninja
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
